API referenceVoices

Get a voice clone

The state of a voice clone: processing, ready (with tts_preset_id to narrate with) or rejected (with reject_reason), and the intake measures.

Free.

GET
/voices/clones/{cloneId}

Authorization

bearerAuth
AuthorizationBearer <token>

Typecut API key. Generate one in app.typecut.ai → Settings → API keys. Send as Authorization: Bearer tc_live_….

In: header

Path Parameters

cloneId*string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/voices/clones/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": "string",
    "status": "processing",
    "language": "string",
    "reject_reason": "string",
    "duration_sec": 0,
    "quality": {
      "property1": null,
      "property2": null
    },
    "tts_preset_id": "bd96ccd2-f5de-475b-b8ae-85ce66adb4ac",
    "reference_url": "string",
    "reference_text": "string",
    "source_media_id": "25f7adaf-e123-42a7-824e-8f162a73f54c",
    "clone_model": "fish",
    "audition_url": "string",
    "audition_error": "string",
    "created_at": "string",
    "note": "string"
  }
}
{
  "error": {
    "type": "string",
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "type": "string",
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "type": "string",
    "code": "string",
    "message": "string"
  }
}